Bug 1747173 - [abrt] cerbere: g_application_release(): io.elementary.cerbere killed by SIGSEGV
Summary: [abrt] cerbere: g_application_release(): io.elementary.cerbere killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cerbere
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:faa96eb32591bcc79d56b09d5ff...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-29 19:59 UTC by Leslie Satenstein
Modified: 2019-09-14 16:33 UTC (History)
1 user (show)

Fixed In Version: cerbere-2.5.0-2.fc30 cerbere-2.5.0-2.fc29 cerbere-2.5.0-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 21:08:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.83 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: cgroup (341 bytes, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: core_backtrace (7.81 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: cpuinfo (1.50 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: dso_list (1.84 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: environ (3.62 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: exploitable (82 bytes, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: limits (1.29 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: maps (13.65 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: mountinfo (3.84 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: open_fds (713 bytes, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2019-08-29 19:59 UTC, Leslie Satenstein
no flags Details

Description Leslie Satenstein 2019-08-29 19:59:38 UTC
Description of problem:
on Logon

Version-Release number of selected component:
cerbere-2.5.0-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/io.elementary.cerbere
crash_function: g_application_release
executable:     /usr/libexec/io.elementary.cerbere
journald_cursor: s=c5bb4b833cae40048dfb9195089215b1;i=21a78;b=f6637c9fe422495db36c70fca2c2219a;m=1e83e3824;t=590d2d8d462e7;x=e007855b9c2f11e9
kernel:         5.2.7-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 g_application_release at ../gio/gapplication.c:2247
 #2 __poll at ../sysdeps/unix/sysv/linux/poll.c:29
 #3 g_main_context_poll at ../glib/gmain.c:4228
 #5 g_main_context_iteration at ../glib/gmain.c:3988
 #6 g_application_run at ../gio/gapplication.c:2516
 #7 cerbere_app_main at ../src/Cerbere.vala:102

Comment 1 Leslie Satenstein 2019-08-29 19:59:40 UTC
Created attachment 1609671 [details]
File: backtrace

Comment 2 Leslie Satenstein 2019-08-29 19:59:41 UTC
Created attachment 1609672 [details]
File: cgroup

Comment 3 Leslie Satenstein 2019-08-29 19:59:42 UTC
Created attachment 1609673 [details]
File: core_backtrace

Comment 4 Leslie Satenstein 2019-08-29 19:59:43 UTC
Created attachment 1609674 [details]
File: cpuinfo

Comment 5 Leslie Satenstein 2019-08-29 19:59:44 UTC
Created attachment 1609675 [details]
File: dso_list

Comment 6 Leslie Satenstein 2019-08-29 19:59:45 UTC
Created attachment 1609676 [details]
File: environ

Comment 7 Leslie Satenstein 2019-08-29 19:59:45 UTC
Created attachment 1609677 [details]
File: exploitable

Comment 8 Leslie Satenstein 2019-08-29 19:59:46 UTC
Created attachment 1609678 [details]
File: limits

Comment 9 Leslie Satenstein 2019-08-29 19:59:47 UTC
Created attachment 1609679 [details]
File: maps

Comment 10 Leslie Satenstein 2019-08-29 19:59:48 UTC
Created attachment 1609680 [details]
File: mountinfo

Comment 11 Leslie Satenstein 2019-08-29 19:59:49 UTC
Created attachment 1609681 [details]
File: open_fds

Comment 12 Leslie Satenstein 2019-08-29 19:59:50 UTC
Created attachment 1609682 [details]
File: proc_pid_status

Comment 13 Fabio Valentini 2019-08-29 20:06:10 UTC
This probably didn't happen when logging in, but when you logged out, and the crash was reported to you when you logged in the next time.

This issue is already known and tracked upstream, without much luck:
https://github.com/elementary/cerbere/issues/33

Comment 14 Fedora Update System 2019-09-04 13:47:28 UTC
FEDORA-2019-367187110c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-367187110c

Comment 15 Fedora Update System 2019-09-04 14:03:51 UTC
FEDORA-2019-bf59ad461b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bf59ad461b

Comment 16 Fedora Update System 2019-09-04 14:05:04 UTC
FEDORA-2019-7e71b7a557 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e71b7a557

Comment 17 Fedora Update System 2019-09-04 21:35:28 UTC
cerbere-2.5.0-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-367187110c

Comment 18 Fedora Update System 2019-09-05 12:52:51 UTC
cerbere-2.5.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bf59ad461b

Comment 19 Fedora Update System 2019-09-05 13:06:28 UTC
cerbere-2.5.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7e71b7a557

Comment 20 Fedora Update System 2019-09-12 21:08:30 UTC
cerbere-2.5.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-09-12 21:34:20 UTC
cerbere-2.5.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-09-14 00:09:46 UTC
cerbere-2.5.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-09-14 16:33:23 UTC
cerbere-2.5.0-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.